# Giray: Prompt Engineering with ChatGPT: A Guide for Academic Writers
## **Allgemeines zur Prompt-Engineering**
- Disziplin zur Entwicklung und Optimierung von Prompts für große Sprachmodelle (LLMs).
- Besonders nützlich für akademisches Schreiben und Forschung.
- Ziel: Effektive Nutzung von LLMs wie ChatGPT für Aufgaben wie Textgenerierung, Übersetzung etc.


## **Was ist ein Prompt?**
Ein Prompt besteht aus vier Elementen:
1. **Instruction** - Gibt die Aufgabe vor.
2. **Context** - Liefert Hintergrundwissen.
3. **Input Data** - Konkrete Daten oder Fragen an das Modell.
4. **Output Indicator** - Gibt das gewünschte Format oder die Länge des Outputs an.


## **Was sind Large Language Models (LLMs)?**
- Beispiele: ChatGPT, GPT-3/4.
- Fähigkeiten: Textgenerierung, Fragen beantworten, Übersetzen.
- Trainiert auf großen Datenmengen aus Büchern, Artikeln, Webseiten.


## **Techniken des Prompt Engineerings**
1. **Instructive Prompts** - Geben eine klare Schreibaufgabe.
2. **System Prompts** - Geben einen Startpunkt oder Kontext.
3. **Question-Answer Prompts** - Strukturieren die Antwort um eine Forschungsfrage.
4. **Contextual Prompts** - Bieten gezielte Zusatzinformationen.
5. **Mixed Prompts** - Kombinieren mehrere Elemente für umfassende Aufgaben.


## **Häufige Fehler beim Schreiben von Prompts**
1. **Unklarheit (Ambiguity)** - Vage Prompts führen zu oberflächlichen Antworten.
2. **Bias Reinforcement** - Vorurteilshafte Prompts verstärken Stereotype.
3. **Overfitting** - Zu spezifisch, schränkt Outputvielfalt ein.
4. **Mangelnder Kontext** - Führt zu ungenauen oder unvollständigen Antworten.
5. **Ethische Probleme** - Aufforderung zu illegalem oder unethischem Verhalten.
6. **Unbeabsichtigte Nebeneffekte** - Widersprüchliche Anweisungen führen zu sinnlosem Output.
7. **Unrealistische Erwartungen** - LLMs können z. B. keine exakten Vorhersagen treffen.


## **Warum sollten Akademiker Prompt Engineering lernen?**
- Erhöht Effizienz und Qualität im wissenschaftlichen Schreiben.
- Erlaubt gezielte Steuerung der Modellausgaben.
- Bietet neue Möglichkeiten für Forschung und Lehre.
- Prompt Engineering = eine Art „Programmierung“ für Texte.



